Get an organization
curl --request GET \
--url https://api.withampersand.com/v1/orgs/{orgId} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/orgs/{orgId}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/orgs/{orgId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
"label": "Acme Inc",
"defaultTeamId": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Org
Get an organization
GET
/
orgs
/
{orgId}
Get an organization
Authorizations
APIKeyHeaderBearer
Path Parameters
ID of the organization.
Response
Organization
The organization ID.
Example:
"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"
The organization label.
Example:
"Acme Inc"
The ID of the Everyone team for the org.
The time at which the organization was created.
The time the organization was updated.
Was this page helpful?
⌘I

